function y = fftc( x, dim )
% FFTC FFT with respect to the center of the array.
%  Y = FFTC(X) applies FFT on vector X along first dimension.
%
%  Y = FFTC(X,DIM) applies FFT on vector X along dimension DIM.
%
%  (c) jycheng@mrsrl.stanford.edu 2011.

if nargin < 2
    dim = 1;
end

y = fftshift(fft(fftshift(x,dim),[],dim),dim);