function y = ifftc( x, dim )
% IFFTC FFT with respect to the center of the array.
%  Y = IFFTC(X) applies FFT on vector X along first dimension.
%
%  Y = IFFTC(X,DIM) applies FFT on vector X along dimension DIM.
%
%  (c) jycheng@mrsrl.stanford.edu 2011.

if nargin < 2
    dim = 1;
end

y = fftshift(ifft(fftshift(x,dim),[],dim),dim);
